#ifndef COMMANDER_H
#define COMMANDER_H

#include "aliases.h"
#include "commander_output.h"
#include "str8.h"
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef __cplusplus
BEGIN_C_LINKAGE
#endif // __cplusplus

#define CMD_NO_EXIT(ERR) ((CMDResult){.exited = false, .exit_code = EXIT_FAILURE, .error = ERR})

CMDResult wapp_shell_commander_execute(CMDOutHandling out_handling, Str8 *out_buf, const Str8List *cmd);

external CMDError get_output_status(FILE *fp, i32 *status_out);

#ifdef __cplusplus
END_C_LINKAGE
#endif // __cplusplus

#endif // !COMMANDER_H
